Subject: Re: [Sipping] Dialog event package and conferences

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 01 Jul 2003 04:21:02 -0400

The "isfocus" parameter is actually one of several parameters which 
can indicate capabilities of a UA:

http://www.ietf.org/internet-drafts/draft-ietf-sip-callee-caps-00.txt

I would prefer to define a <local-caps> and <remote-caps> element, and 
allow their children to contain capability descriptions for the local 
and remote sides:

<local-caps>
   <cap name="audio">TRUE</cap>
   <cap name="isfocus">TRUE</cap>
</local-caps>

This is better than using local-target, IMHO. I think local-target 
should be exactly the same type as remote-target, and remote-target 
just contains a name-addr.

I also think this is outside the scope of the current dialog event 
package, and would be more appropriate as part of an extension (i.e., 
Sean's recent I-D).

Thanks,
Jonathan R.

Sean Olson wrote:

> Yes, exactly! :-)
> What about placing this Contact: info in a <local-target> element within the
> dialog-info payload?
> 
> Sean
> 
> -----Original Message-----
> From: Rosen, Brian [mailto:[email-masked]] 
> Sent: Wednesday, June 25, 2003 8:50 AM
> To: 'Sean Olson'; [email-masked]
> Subject: RE: [Sipping] Dialog event package and conferences
> 
> 
> Aah, interesting.
> 
> You want the "IsFocus" parameter from the Contact header, but you don't 
> seem to get it.
> 
> I agree, you need it.
> 
> Brian
> 
> 
> 
>>-----Original Message-----
>>From: Sean Olson [mailto:[email-masked]]
>>Sent: Wednesday, June 25, 2003 10:11 AM
>>To: [email-masked]
>>Subject: [Sipping] Dialog event package and conferences
>>
>>
>>I was wondering how do you tell that a dialog reported through a 
>>dialog event NOTIFY is actually just one leg of a larger conference? 
>>Or to flip it around another way, is there a way to determine which
>>conferences a user is currently in?
>>
>>
>>
>>__________________________________
>>Do you Yahoo!?
>>SBC Yahoo! DSL - Now only $29.95 per month! http://sbc.yahoo.com
>>
>>_______________________________________________
>>Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
>>This list is for NEW development of the application of SIP Use 
>>[email-masked] for questions on current sip Use 
>>[email-masked] for new developments of core SIP
>>
> 
> 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
> 

-- 
Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
Chief Technology Officer                    Parsippany, NJ 07054-2711
dynamicsoft
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP